"""
Copyright (c) 2013 Thomas Haslwanter <thomas.haslwanter@fh-linz.at>
"""

import os
import glob
# from importlib import import_module

__author__ = "Thomas Haslwanter <thomas.haslwanter@fh-linz.at"
__license__ = "PSF License"
__version__ = "0.2.3"

__all__ = [ os.path.basename(f)[:-3] for f in glob.glob(os.path.dirname(__file__)+"/*.py")]

for module in os.listdir(os.path.dirname(__file__)):
    if module == '__init__.py' or module[-3:] != '.py':
        continue
    #import_module(module[:-3])
    __import__(module[:-3], locals(), globals())
    
curDir = os.getcwd()
os.chdir(os.path.dirname(__file__))
from savgol import *
    
del module
os.chdir(curDir)

